<?php
session_start();
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Conexión a la base de datos
include_once "conexion.php";


// Procesar el formulario
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $Cod_Verificacion_Correo = $_POST['Cod_Verificacion_Correo'];
    $correo = $_POST['correo'];

    // Consulta para verificar el código de verificación
    $sql = "SELECT * FROM usuarios WHERE correo = :correo AND Cod_Verificacion_Correo = :codigo AND Correo_Verificado = 0";
    $stmt = $conn->prepare($sql);
    $stmt->bindParam(':correo', $correo);
    $stmt->bindParam(':codigo', $Cod_Verificacion_Correo);
    $stmt->execute();

    if ($stmt->rowCount() > 0) {
        $row = $stmt->fetch(PDO::FETCH_ASSOC);

        // Actualizar el estado del correo como verificado
        $Actualizar_Correo_Verificado = "UPDATE usuarios SET Correo_Verificado = 1 WHERE correo = :correo";
        $stmt_update = $conn->prepare($Actualizar_Correo_Verificado);
        $stmt_update->bindParam(':correo', $row["correo"]);
        if ($stmt_update->execute()) {
            // Almacenar correo en la sesión
            $_SESSION['correo'] = $correo;

            // Redirigir a la página de verificación de correo
            header("Location: verificacion_telefono.php?success=Correo verificado correctamente.");
            exit();
        } else {
            echo "Error al actualizar el estado del correo.";
        }
    } else {
        // Si el código no es correcto o ya fue validado
        header("Location: login.php?error=Código Equivocado o Validado con Anterioridad");
        exit();
    }
}
?>
